var DomWalker = require('./DomWalker');
var convert = require('./NodeConversions');
var Util = require('./Util');
var Converter = (function () {
    function Converter(parser, options) {
        this.parser = parser;
        this.options = Util.assign({
            rawHtmlElements: ['div', 'table', 'td', 'tr', 'th', 'tbody', 'thead'],
            ignoredHtmlElements: [],
            interpretUnknownHtml: true
        }, options);
    }
    Converter.prototype.convert = function (html) {
        html = html.trim();
        return this.convertDomElement(this.parser.parse(html));
    };
    Converter.prototype.convertDomElement = function (htmlElement) {
        var walker = new DomWalker(htmlElement);
        var conversion = convert({ domWalker: walker, options: this.options });
        return conversion;
    };
    return Converter;
})();
module.exports = Converter;
//# sourceMappingURL=Converter.js.map